Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
simplecategorylist.php File Reference

Go to the source code of this file.

## Functions
| deleteCache ( $ProductID, $CategoryID, $CategoryArray)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $Limit = $ini->variable( "eZTradeMain", "ProductLimit" )
| $t
| $category = new eZProductCategory( 1 )
if(isset( $ParentID)) | else
if( $category->sortMode()=="absolute_placement") | $pathArray =& $category->path()
foreach( $pathArray as $path) | $categoryList =& $category->getByParent( $category )
| $i = 0
| $TotalTypes =& $category->productCount( $category->sortMode(), true )
| $productList =& $category->products( $category->sortMode(), true, $Offset, $Limit, true, $category->id() )
| $locale = new eZLocale( $Language )

## Function Documentation

## ◆ deleteCache()

deleteCache | ( |  | $ProductID,
|  |  | $CategoryID,
|  |  | $CategoryArray
| ) |  |

Definition at line 34 of file simplecategorylist.php.

References $CategoryID, $file, and $files.

## Variable Documentation

## ◆ $category

$category = new eZProductCategory( 1 )

Definition at line 99 of file simplecategorylist.php.

## ◆ $categoryList

foreach ($pathArray as $path) $categoryList =& $category->getByParent( $category )

Definition at line 143 of file simplecategorylist.php.

## ◆ $i

$i = 0

Definition at line 146 of file simplecategorylist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 59 of file simplecategorylist.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 61 of file simplecategorylist.php.

## ◆ $Limit

$Limit = $ini->variable( "eZTradeMain", "ProductLimit" )

Definition at line 62 of file simplecategorylist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 188 of file simplecategorylist.php.

## ◆ $pathArray

if ($category->sortMode()=="absolute_placement") $pathArray =& $category->path()

Definition at line 131 of file simplecategorylist.php.

## ◆ $productList

$productList =& $category->products( $category->sortMode(), true, $Offset, $Limit, true, $category->id() )

Definition at line 186 of file simplecategorylist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/admin/" . $ini->variable( "eZTradeMain", "AdminTemplateDir" ),
"kernel/eztrade/admin/intl/", $Language, "simplecategorylist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: simplecategorylist.php:61
$ini
$ini
Definition: simplecategorylist.php:59

Definition at line 67 of file simplecategorylist.php.

## ◆ $TotalTypes

$TotalTypes =& $category->productCount( $category->sortMode(), true )

Definition at line 185 of file simplecategorylist.php.

## ◆ else

if ($category->sortMode()=="absolute_placement") else

Initial value:
{
$category->get()
$category
$category
Definition: simplecategorylist.php:99

Definition at line 109 of file simplecategorylist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.